<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="reg.aspx.cs" Inherits="TW.UI.reg" %>


<!DOCTYPE html>
<html>
<head lang="en">
	
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv=X-UA-Compatible content=IE=EmulateIE9 />
<script type="text/javascript" src="/static/card/js/configweb.js"></script>
    <title>注册_<%=config.SiteName %></title>
    <link rel="stylesheet" href="/static/card/css/public.css" />
    <link rel="stylesheet" href="/static/card/css/login.css" />
    <script type="text/javascript" src="/static/card/js/jquery-1.11.3.js"></script>
</head>
<script type="text/javascript">
    $(function () {
        var registerFlag = "";
        if (registerFlag == 'false') {
            alert('');
        }
        $('.check-icon').click(function () {
            var className = $(this).find("i").attr('class');
            if (className.indexOf("icon-no-check-green") >= 0) {
                $(this).find("i").attr('class', 'icon icon-checked-green');
            } else {
                $(this).find("i").attr('class', 'icon icon-no-check-green');
            }
        });

        $("#vcode").focus(function () {
            if (document.getElementById('checkImg').style.display == "none") {
                reloadCheckCode();
                document.getElementById('checkImg').style.display = "";
            }
        });

        $("#vcode2").focus(function () {
            if (document.getElementById('checkImg2').style.display == "none") {
                reloadCheckCode2();
                document.getElementById('checkImg2').style.display = "";
            }
        });

        $("#vcode").bind("input propertychange", function () {
            var txtCode = $("#vcode").val();
            if (txtCode.length > 5) {
                var code = $("#vcode").val().substr(0, 5);
                $("#vcode").val(code);
            }
        });
        $("#vcode").blur(function () {
            var txtCode = $("#vcode").val();
            if (txtCode.length == 4 || txtCode.length == 5) {
                $.ajax({
                    type: "post",
                    url: "?act=chkverf",
                    data: {
                        code: txtCode
                    },
                    dataType: "json",
                    timeout: 60 * 1000,
                    success: function (a) {
                        if (!a.flag) {
                            alert("验证码错误！");
                            reloadCheckCode();
                        }
                    }
                });
            }
        });

        $("#vcode2").bind("input propertychange", function () {
            var txtCode = $("#vcode2").val();
            if (txtCode.length > 5) {
                var code = $("#vcode2").val().substr(0, 5);
                $("#vcode2").val(code);
            }
        });
        $("#vcode2").blur(function () {
            var txtCode = $("#vcode2").val();
            if (txtCode.length == 4 || txtCode.length == 5) {
                $.ajax({
                    type: "post",
                    url: "?act=chkverf",
                    data: {
                        code: txtCode
                    },
                    dataType: "json",
                    timeout: 60 * 1000,
                    success: function (a) {
                        if (!a.flag) {
                            alert("验证码错误！");
                            reloadCheckCode2();
                        }
                    }
                });
            }
        });


    });

    function checkLoginId() {
        var re = /^[a-zA-Z_0-9]+$/;
        var tip = $("#loginId_tip");
        var icon = $("#loginId_tip_icon");
        var value = $("#loginId").val();
        tip.html("");
        icon.html("");

        if (value == null || value == "") {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名不能为空！");
            return false;
        } else if (value.length < 4) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名不能少于4个字符！");
            return false;
        } else if (value.length > 20) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名不能多于20个字符！");
            return false;
        } else if (!re.test(value)) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名只能是4-20个字符,包括:字母、数字、下划线！");
            return false;
        } else {
            $.ajax({
                type: "post",
                url: "?act=chkusername",
                data: {
                    loginId: value
                },
                dataType: "json",
                timeout: 60 * 1000,
                success: function (a) {
                    if (a.flag) {
                        icon.html("<i class='icon icon-checked-green'></i>");
                        return true;
                    } else {
                        tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;" + a.msg + "！");
                        return false;
                    }
                }
            });
        }
    }

    function checkPassword() {
        var tip = $("#password_tip");
        var icon = $("#password_tip_icon");
        var value = $("#password").val();
        tip.html("");
        icon.html("");

        if (value == "" || value == null) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;登录密码不能为空！");
            return false;
        } else if (value.length < 6) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码长度少于6位！");
            return false;
        } else if (value.length > 20) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码长度多于20位！");
            return false;
        } else if (value.indexOf(" ") >= 0) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码不能有空格！");
            return false;
        } else {
            icon.html("<i class='icon icon-checked-green'></i>");
            return true;
        }
        ReCheckPwd();
    }

    function ReCheckPwd() {
        var tip = $("#checkPwd_tip");
        var icon = $("#checkPwd_tip_icon");
        var password = $("#password").val();
        var value = $("#checkPwd").val();
        tip.html("");
        icon.html("");

        if (value == "" || value == null) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;确认密码不能为空！");
            return false;
        } else if (value != password) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;两次输入的密码不一致，请重新输入！");
            return false;
        } else {
            icon.html("<i class='icon icon-checked-green'></i>");
            return true;
        }
    }

    function checkEmail() {
        var re = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
        var tip = $("#email_tip");
        var icon = $("#email_tip_icon");
        var value = $("#email").val();
        tip.html("");
        icon.html("");

        if (value == null || value == "") {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;电子邮箱不能为空！");
            return false;
        } else if (!re.test(value)) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;电子邮件格式不对！");
            return false;
        } else {
            $.ajax({
                type: "post",
                url: "?act=chkemail",
                data: {
                    email: value
                },
                dataType: "json",
                timeout: 60 * 1000,
                success: function (a) {
                    if (a.flag) {
                        icon.html("<i class='icon icon-checked-green'></i>");
                        return true;
                    } else {
                        tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;" + a.msg + "！");
                        return false;
                    }
                }
            });
        }
    }

    function formSubmit() {
        var flag = false;
        var num = 0;

        var re = /^[a-zA-Z_0-9]+$/;
        var tip = $("#loginId_tip");
        var icon = $("#loginId_tip_icon");
        var value = $("#loginId").val();
        tip.html("");
        icon.html("");

        if (value == null || value == "") {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名不能为空！");
            return false;
        } else if (value.length < 4) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名不能少于4个字符！");
            return false;
        } else if (value.length > 20) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名不能多于20个字符！");
            return false;
        } else if (!re.test(value)) {
            tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;用户名只能是4-20个字符,包括:字母、数字、下划线！");
            return false;
        } else {
        $.ajax({
            type: "post",
            url: "?act=chkusername",
            data: {
                loginId: value
            },
            dataType: "json",
            timeout: 60 * 1000,
            success: function (a) {
                if (a.flag) {
                    icon.html("<i class='icon icon-checked-green'></i>");

                    //邮箱检查
                    re = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
                    tip = $("#email_tip");
                    icon = $("#email_tip_icon");
                    value = $("#email").val();
                    tip.html("");
                    icon.html("");

                    if (value == null || value == "") {
                        tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;电子邮箱不能为空！");
                        return false;
                    } else if (!re.test(value)) {
                        tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;电子邮件格式不对！");
                        return false;
                    } else {
                        $.ajax({
                            type: "post",
                            url: "?act=chkemail",
                            data: {
                                email: value
                            },
                            dataType: "json",
                            timeout: 60 * 1000,
                            success: function (a) {
                                if (a.flag) {
                                    icon.html("<i class='icon icon-checked-green'></i>");
                                    if (!checkPassword()) {
                                        num++;
                                    }
                                    if (!ReCheckPwd()) {
                                        num++;
                                    }
                                    var className = $('.check-icon i').eq(1).attr('class');
                                    if (className.indexOf("icon-no-check-green") >= 0) {
                                        alert("请先阅读服务协议");
                                        return false;
                                    }

                                    var vcode = $("#vcode").val();

                                    if (vcode == "" || vcode == null) {
                                        alert("请填写验证码！");
                                    } else if (vcode.length != 4 && vcode.length != 5) {
                                        alert("验证码位数有误！");
                                    } else {
                                        if (num > 0) {
                                            flag = false;
                                        } else {
                                            flag = true;
                                        }

                                        if (!flag) {
                                            alert("信息填写有误,请认真填写后提交！");
                                        } else {
                                            $("#myForm").submit();
                                        }
                                    }
                                } else {
                                    tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;" + a.msg + "！");
                                    alert('邮箱已被注册！');
                                }
                            }
                        });
                    }

                } else {
                    tip.html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;" + a.msg + "！");
                    alert('该用户名已被注册！');
                }
            }
        });
        }
    }

    //重新加载验证码
    function reloadCheckCode() {
        document.getElementById('checkImg').src = "/inc/GetCode.aspx?s=" + Math.round(Math.random() * 100);
        $("#vcode").val('');
    }

    function reloadCheckCode2() {
        document.getElementById('checkImg2').src = "/inc/GetCode.aspx?s=" + Math.round(Math.random() * 100);
        $("#vcode2").val('');
    }
	
</script>
<body>

<TW:HeaderSP ID="HeaderSP1" runat="server" />

<script type="text/javascript">
    function toIndex() {
        location.href = "/";
    }
    $(function () {
        var regForms = $(".register-form"), telTipIcon = $(".tel-tip-icon"), telTip = $(".tel-tip"), telDom = $("input[name=telephone]"), telPwdDom = $("#telPassword"), telRePwdDom = $("#telCheckPwd"), isSend = true, btnSendDom = $(".btn-send"), errorTel = true, errorPwd = true, errorRePwd = true;
        function checkTel() {
            telTipIcon.eq(0).html("");
            telTip.eq(0).html("");
            var value = $.trim(telDom.val());
            var pn = /^(0|86|17951)?(13[0-9]|15[012356789]|17[0-9]|18[0-9]|14[57])[0-9]{8}$/;
            errorTel = true;
            if (!pn.test(value)) {
                telTip.eq(0).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;请填写正确的电话号码!");
                return false;
            }
            $.ajax({
                url: "?act=telephone",
                dataType: "json",
                data: { 'telephone': value },
                async: false,
                type: 'POST',
                success: function (data) {
                    if (!data) {
                        telTip.eq(0).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;此手机号不能注册,请更换其他手机号注册!");
                        return false;
                    } else {
                        telTipIcon.eq(0).html("<i class='icon icon-checked-green'></i>");
                        errorTel = false;
                        return true;
                    }

                }
            });
        }
        $(".reg-tab").click(function () {
            $(this).addClass("reg-tab-cur").siblings().removeClass("reg-tab-cur");
            regForms.addClass("hidden").eq($(this).index()).removeClass("hidden");
        });
        telDom.bind("blur", function () {
            checkTel();
            reloadCheckCode2();
        });
        telPwdDom.bind("blur", function () {
            telTipIcon.eq(1).html("");
            telTip.eq(1).html("");
            var value = $.trim($(this).val());
            errorPwd = true;
            if (value == "" || value == null) {
                telTip.eq(1).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;登录密码不能为空！");

                return false;
            } else if (value.length < 6) {
                telTip.eq(1).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码长度少于6位！");

                return false;
            } else if (value.length > 20) {
                telTip.eq(1).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码长度多于20位！");

                return false;
            } else if (value.indexOf(" ") >= 0) {
                telTip.eq(1).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码不能有空格！");

                return false;
            } else {
                telTipIcon.eq(1).html("<i class='icon icon-checked-green'></i>");
                errorPwd = false;
                return true;
            }
        });
        telRePwdDom.bind("blur", function () {
            telTipIcon.eq(2).html("");
            telTip.eq(2).html("");
            var value = $.trim($(this).val());
            errorRePwd = true;
            if (value == "" || value == null) {
                telTip.eq(2).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;登录密码不能为空！");
                return false;
            } else if (value.length < 6) {
                telTip.eq(2).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码长度少于6位！");
                return false;
            } else if (value.length > 20) {
                telTip.eq(2).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码长度多于20位！");
                return false;
            } else if (value.indexOf(" ") >= 0) {
                telTip.eq(2).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;密码不能有空格！");
                return false;
            } else if (value != $.trim(telPwdDom.val())) {
                telTip.eq(2).html("<i class='icon icon-wrong'></i>&nbsp;&nbsp;两次密码输入不一致！");
                return false;
            } else {
                telTipIcon.eq(2).html("<i class='icon icon-checked-green'></i>");
                errorRePwd = false;
                return true;
            }
        });
        btnSendDom.click(function () {
            var vcode2 = $("#vcode2").val();
            if (errorTel) return false;
            var time = 60;
            if (!isSend) return false;
            btnSendDom.text("再次发送(" + time + "秒)").addClass("btn-send-disable");
            isSend = false;
            $.post("?act=sendmobilecode", { phoneNo: $.trim(telDom.val()), code: vcode2, wp: 'bindPhone' }, function (data) {
                if (!data.flag) {
                    alert("请输入正确的图片验证码,或手机号码已被加入黑名单,无法使用!");
                    reloadCheckCode2();
                    isSend = true;
                    clearInterval(t);
                    btnSendDom.text("获取手机验证码").removeClass("btn-send-disable");
                    return;
                } else {
                    $("#md16").val(data.md16);
                }
            }, 'json')
            t = setInterval(function () {
                time--;
                if (time > 0) {
                    btnSendDom.text("再次发送(" + time + "秒)");
                } else {
                    isSend = true;
                    clearInterval(t);
                    btnSendDom.text("获取手机验证码").removeClass("btn-send-disable");
                }
            }, 1000);
        });
        $("#telRegBtn").click(function () {
            if (errorPwd || errorRePwd) return false;
            if ($("input[name=telCode]").val() == "") {
                alert("请输入手机验证码!");
                return false;
            }
            if (!$(".check-icon .icon").eq(0).hasClass("icon-checked-green")) {
                alert("请先阅读服务协议");
                return false;
            }
            $("#telForm").submit();
        });
    })
</script>
<div class="content">
    <div class="container">
     
        <asp:Panel ID="pnlRegBox" runat="server" CssClass="register-box clearfix">
        
<style type="text/css">
	.hidden{
		display: none;
	}
	.title{
		padding-left: 120px;
		width: 680px !important;
		border-bottom: 1px solid #b3b3b3 !important;
	}
	.reg-tab{
		font-size: 14px;
		display: block;
		width: 100px;
		color: #828282;
	}
	.reg-tab-cur{
		    border-bottom: 3px solid #ea4444;
		    height: 48px;
		    line-height: 50px;
		    color: #ea4444;		    
	}
	.btn-send{
		display: inline-block;
	    _display: inline;
	    zoom: 1;
	    width: 150px;
	    height: 33px;
	    line-height: 35px;
	    text-align: center;
	    background-color: #ea4444;
	    color: #fff !important;
	    text-decoration: none !important;
	}
	.btn-send-disable{
		background-color: #ccc;
	    color: #7b7b7b !important;
	}
</style>
            <h3 class="title">
            	<a href="javascript:;" class="reg-tab reg-tab-cur pull-left">手机注册</a>
            	<a href="javascript:;" class="reg-tab  pull-left">个性注册</a>
            </h3>
            <div class="friend pull-left">
                <br>
                <p>您也可以使用</p>
                <p>合作账号登录</p>
                <i class="icon icon-down-black"></i>
                <ul class="friend-link">
                    <li>
                        <a href="/API/QQ/">
                            <i class="icon icon-qq-grey"></i>
                            <p>腾讯QQ登录</p>
                        </a>
                    </li>
                    <li>
                        <a href="/QPI/Weibo/">
                            <i class="icon icon-weibo-grey"></i>
                            <p>微博登录</p>
                        </a>
                    </li>
                    <li>
                        <a href="/API/Weixin/">
                            <i class="icon icon-weChat-grey"></i>
                            <p>微信登录</p>
                        </a>
                    </li>
                    <li>
                        <a href="/API/Baidu/">
                            <i class="icon icon-baidu-grey"></i>
                            <p>百度登录</p>
                        </a>
                    </li>
                </ul>
            </div>
            <div class="tips" style="width:635px; float:right;" id="tipbox" runat="server" visible="false">
                <asp:Label ID="lblNickName" runat="server" Text="" Font-Bold="true"></asp:Label>：第三方登录接入后<br />
                如果是绑定已有用户，请【<a href="login.aspx?data=<%=dataStr %>">登录并绑定</a>】<br />
            </div>
       	   <form id="telForm" action="?act=mobilereg" method="post" class="easyui-form" data-options="novalidate:true,ajax:false">
           <input type="password" style="display: none;">
           <input name="data" type="hidden" value="<%=dataStr %>" />
            <ul class="register-form pull-right ">
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>昵称</label>
                    <div class="inp pull-left">
                    	<input type="text" name="nickname" class="input-text"/>
                    </div>
                    <div class="tip-icon pull-left tel-tip-icon">
                        
                    </div>
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>手机号</label>
                    <div class="inp pull-left">
                    	<input type="text"  name="telephone" class="input-text"/>
                    </div>
                    <div class="tip-icon pull-left tel-tip-icon">
                        
                    </div>
                </li>
                <li class="tip tel-tip">
                	请输入正确的11位手机号码
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>密码</label>
                    <div class="inp pull-left">
                    	<input type="password" id="telPassword" name="password" class="input-text" />
                    </div>
                    <div class="tip-icon pull-left tel-tip-icon">
                       
                    </div>
                </li>
                <li class="tip tel-tip">
                	密码长度为6-20位，字母区分大小写，推荐使用英文加数字或符号的组合密码
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>确认密码</label>
                    <div class="inp pull-left">
                    	<input type="password" id="telCheckPwd" name="checkPwd"  class="input-text" />
                    </div>
                    <div class="tip-icon pull-left tel-tip-icon">
                        
                    </div>
                </li>
                <li class="tip tel-tip">
                  	  
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>图片验证码</label>
                    <div class="inp pull-left">
                        <input type="text" id="vcode2" name="vcode2" maxlength="5" class="input-text check" />
                        <img class="check-img" id="checkImg2" src="" title="看不清？点击换张图片" onclick="javascript:reloadCheckCode2();" border="0" style="cursor:pointer;display:none;"/>

                    </div>
                    <div class="tip-icon pull-left" id="vcode_tip_icon">
                        
                    </div>
                </li>
                <li class="tip" id="vcode_tip">
                
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>验证码</label>
                    <div class="inp pull-left">
                        <input type="text" name="vCodeTel" maxlength="5" class="input-text check" />
                        <input type="hidden" name="md16" id="md16"/>
                       <a href="javascript:void(0);" class="btn-send">获取手机验证码</a>
                    </div>
                    <div class="tip-icon pull-left tel-tip-icon">
                        
                    </div>
                </li>
                <li class="tip tel-tip">
                
                </li>
                <li>
                    <label style="margin-left: 15px;"></label>
                    <div class="inp pull-left">
                        <div class="check-icon">
                            <i class="icon icon-no-check-green"></i>
                        </div>
                        <span>我同意<a href="<%=config.RegTHXYUrl %>" target="_blank">《用户服务协议》</a></span>
                    </div>
                </li>
                <li style="text-align: center">
                    <button type="button" class="register-btn" id="telRegBtn">立即注册</button>&nbsp;&nbsp;&nbsp;&nbsp;
                    <span>已经有账户！<a href="/login.aspx">去登录</a>
                    &nbsp;&nbsp;<a href="#">&nbsp;</a></span>
                </li>
            </ul>
       	 </form>
       	 <form id="myForm" action="?act=usernamereg" method="post" class="easyui-form" data-options="novalidate:true,ajax:false">
         <input type="password" style="display: none;">
         <input name="data" type="hidden" value="<%=dataStr %>" />
            <ul class="register-form pull-right hidden">
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>昵称</label>
                    <div class="inp pull-left">
                    	<input type="text"  name="nickname" class="input-text"/>
                    </div>
                    <div class="tip-icon pull-left tel-tip-icon">
                        
                    </div>
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>用户名</label>
                    <div class="inp pull-left">
                    	<input type="text" id="loginId" name="loginId" class="input-text" onblur="checkLoginId();"/>
                    </div>
                    <div class="tip-icon pull-left" id="loginId_tip_icon">
                        
                    </div>
                </li>
                <li class="tip" id="loginId_tip">
                	长度为4-20个字符（限数字、字母和下划线）
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>密码</label>
                    <div class="inp pull-left">
                    	<input type="password" id="password" name="password" onblur="checkPassword();" class="input-text" />
                    </div>
                    <div class="tip-icon pull-left" id="password_tip_icon">
                       
                    </div>
                </li>
                <li class="tip" id="password_tip">
                	密码长度为6-20位，字母区分大小写，推荐使用英文加数字或符号的组合密码
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>确认密码</label>
                    <div class="inp pull-left">
                    	<input type="password" id="checkPwd" name="checkPwd" onblur="ReCheckPwd();" class="input-text" />
                    </div>
                    <div class="tip-icon pull-left" id="checkPwd_tip_icon">
                        
                    </div>
                </li>
                <li class="tip" id="checkPwd_tip">
                  	  
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>邮箱</label>
                    <div class="inp pull-left">
                    	<input type="text" id="email" name="email"  class="input-text" />
                    	<ul class="emaillist">
					        <!--<p></p>-->
					      </ul>
                    </div>
                    <div class="tip-icon pull-left" id="email_tip_icon">
                        	
                    </div>
                </li>
                <li class="tip" id="email_tip">
                
                </li>
                <li>
                    <i class="icon icon-right-circle pull-left"></i>
                    <label>验证码</label>
                    <div class="inp pull-left">
                        <input type="text" id="vcode" name="vcode" maxlength="5" class="input-text check" />
                        <img class="check-img" id="checkImg" src="" title="看不清？点击换张图片" onclick="javascript:reloadCheckCode();" border="0" style="cursor:pointer;display:none;"/>
             
                    </div>
                    <div class="tip-icon pull-left" id="vcode_tip_icon">
                        
                    </div>
                </li>
                <li class="tip" id="vcode_tip">
                
                </li>
                <li>
                    <label style="margin-left: 15px;"></label>
                    <div class="inp pull-left">
                        <div class="check-icon">
                            <i class="icon icon-no-check-green"></i>
                        </div>
                        <span>我同意<a href="<%=config.RegTHXYUrl %>" target="_blank">《用户服务协议》</a></span>
                    </div>
                </li>
                <li style="text-align: center">
                    <button type="button" class="register-btn" onclick="formSubmit();">立即注册</button>&nbsp;&nbsp;&nbsp;&nbsp;
                    <span>已经有账户！<a href="/login/toLogin">去登录</a>
                    &nbsp;&nbsp;<a href="/jihuo.aspx">去激活</a></span>
                </li>
            </ul>
       	 </form>
        </asp:Panel>

        <asp:Panel ID="pnlRegSucs" runat="server" Visible="False" CssClass="register-box">
            <h3 class="title">用户注册</h3>
            <div class="success-wrap">
                <p style="font-size: 20px;color:#439f0c;font-weight: bold;line-height: 40px;margin: 20px 0px;"><i class="icon icon-success"></i>&nbsp;&nbsp;恭喜您！注册成功！</p>
                <p style="font-size: 14px;font-weight: bold;margin: 20px 0px;">
                    <asp:Literal ID="litRegSucsStr" runat="server" Text="请马上去邮箱激活！激活链接将在24小时后失效"></asp:Literal>
                </p>
                <asp:Literal ID="litBntToUrl" runat="server" Text='<button class="default-btn register-btn" type="button" onclick="toIndex();">返回首页</button>'></asp:Literal>
            </div>
        </asp:Panel>

    </div>
</div>

<TW:FooterSP ID="FooterSP1" runat="server" />
<script type="text/javascript">
    $(function () {
        var mailList = new Array('@163.com', '@126.com', '@qq.com', '@gmail.com', '@live.com', '@sohu.com', '@sina.com', '@sina.cn', '@vip.sina.com', '@hotmail.com', '@139.com', '@wo.com.cn', '@189.cn', '@21cn.com');
        $("#email").bind("keyup", function () {
            var val = $(this).val();
            if (val == '' || val.indexOf("@") > -1) {
                $(".emaillist").hide();
                return false;
            }
            $('.emaillist').empty();
            for (var i = 0; i < mailList.length; i++) {
                var emailText = $(this).val();
                $('.emaillist').append('<li>' + emailText + mailList[i] + '</li>');
            }
            $('.emaillist').show();
            $('.emaillist li').click(function () {
                $('#email').val($(this).text());
                $('.emaillist').hide();
                checkEmail();
            })
        })

        $("#email").blur(function () {
            $('.emaillist').hide();
        });

        $("input[name='nickname']").val($("#lblNickName").text());
    })
</script>
</body>
</html>

